from uuid import UUID
from typing import List

from pydantic import BaseModel, ConfigDict


class TaskBaseSchema(BaseModel):
    title: str | None = None


class TaskIdSchema(BaseModel):
    id: UUID

    model_config = ConfigDict(from_attributes=True)


class TaskListSchema(TaskBaseSchema, TaskIdSchema):
    pass


class TaskPostSchema(TaskBaseSchema):
    description: str
    status: UUID | None = None
    types: List[UUID] | None = None


class TaskPatchSchema(TaskBaseSchema):
    description: str | None = None
    status: UUID | None
    types: List[UUID] | None = None
